%define real_name xattr

Summary:	Extended attributes for python
Name:		python-xattr
Version:	0.7.8
Release:	1
License:	GPLv2+
Group:		Development/Python
Url:		http://pypi.python.org/pypi/xattr
Source0:	http://pypi.python.org/packages/source/x/xattr/xattr-%{version}.tar.gz
BuildRequires:	attr-devel
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python-cffi
BuildRequires:	python-cparser
BuildRequires:	python-ply
BuildRequires:	python-setuptools
BuildRequires:	python3-cffi
BuildRequires:	python3-cparser
BuildRequires:	python3-ply
BuildRequires:	python3-setuptools
Requires:	python-pkg-resources
Provides:	pyxattr = %{version}-%{release}

%description
python-xattr is a C extension module for Python which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%files
%{_bindir}/xattr
%{py_platsitedir}/xattr/
%{py_platsitedir}/xattr-%{version}-py?.?.egg-info/

#----------------------------------------------------------------------------

%package -n python3-xattr
Summary:	Extended attributes for Python3
Group:		Development/Python

%description -n python3-xattr
python-xattr is a C extension module for Python which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%files -n python3-xattr
%{py3_platsitedir}/xattr/
%{py3_platsitedir}/xattr-%{version}-py?.?.egg-info/

#----------------------------------------------------------------------------

%prep
%setup -q -n %{real_name}-%{version}
rm -rf xattr.egg-info
cp -a . %{py3dir}

%build
pushd %{py3dir}
CFLAGS="%{optflags}" python3 setup.py build
popd

CFLAGS="%{optflags}" python setup.py build

%install
pushd %{py3dir}
python3 setup.py install --skip-build --root="%{buildroot}" --install-purelib=%{py3_platsitedir}
popd

python setup.py install --skip-build --root="%{buildroot}" --install-purelib=%{py_platsitedir}

%changelog

* Mon Dec 28 2015 dsilakov <denis.silakov@rosalab.ru> 0.7.8-1
- (d9af21a) Merge pull request #1 from import/python-xattr:auto_update
- (d9af21a) Updated to 0.7.8 (by updates_builder)


